package com.flyfish.framework.service;

import com.flyfish.framework.domain.po.User;
import com.flyfish.framework.repository.UserRepository;
import com.flyfish.framework.service.impl.BaseServiceImpl;
import org.springframework.stereotype.Service;

import java.util.Optional;

@Service
public class UserService extends BaseServiceImpl<User> implements UserFindService {


    /**
     * 获取用户数据
     *
     * @param username 用户
     * @return 结果
     */
    @Override
    public Optional<User> findByUsername(String username) {
        return ((UserRepository) repository).findByUsername(username);
    }
}
