package com.flyfish.framework.domain.base;

import com.flyfish.framework.builder.CriteriaBuilder;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 属性菜单的qo
 */
@Getter
@Setter
public class TreeQo<T extends Domain> extends NameLikeQo<T> {

    private Integer depth;

    private String parentId;

    private List<String> parentIds;

    @Override
    public CriteriaBuilder<T> criteriaBuilder() {
        return super.criteriaBuilder()
                .with("depth", "parentId").with("parentIds", "parentId", CriteriaBuilder.Builders.IN);
    }
}
